Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
big2str_struct Struct Reference

## Data Fields
int | negative
int | base
BDIGIT_DBL | hbase2
int | hbase2_numdigits
VALUE | result
char * | ptr

## Detailed Description

Definition at line 4597 of file bignum.c.

## Field Documentation

int big2str_struct::base

Definition at line 4599 of file bignum.c.

Referenced by big2str_2bdigits(), big2str_generic(), big2str_karatsuba(), and rb_big_to_s().

BDIGIT_DBL big2str_struct::hbase2

Definition at line 4600 of file bignum.c.

Referenced by big2str_generic().

int big2str_struct::hbase2_numdigits

Definition at line 4601 of file bignum.c.

Referenced by big2str_2bdigits(), and big2str_generic().

int big2str_struct::negative

Definition at line 4598 of file bignum.c.

Referenced by big2str_alloc(), and big2str_generic().

char* big2str_struct::ptr

Definition at line 4603 of file bignum.c.

Referenced by big2str_2bdigits(), big2str_alloc(), big2str_generic(), and big2str_karatsuba().

VALUE big2str_struct::result

Definition at line 4602 of file bignum.c.

Referenced by big2str_alloc(), and big2str_generic().

The documentation for this struct was generated from the following file:

- bignum.c